require_relative 'lib/smarthr/version'

Gem::Specification.new do |spec|
  spec.name          = "smarthr"
  spec.version       = SmartHR::VERSION
  spec.authors       = ["Proxyworks, Inc."]
  spec.email         = ["tsuji@proxyworks.co.jp"]

  spec.summary       = "SmartHR SDK for Ruby"
  spec.description   = "Ruby bindings of SmartHR API"
  spec.homepage      = "https://github.com/proxyworks-inc/smarthr-ruby"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/proxyworks-inc/smarthr-ruby"
  spec.metadata["changelog_uri"] = "https://github.com/proxyworks-inc/smarthr-ruby/blob/main/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "faraday", ">= 0.9"
  spec.add_dependency "faraday_middleware"
  spec.add_dependency "hashie"
end
