# SmartHR

Ruby bindings of SmartHR API

## Installation

```ruby
gem 'smarthr'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install smarthr

## Usage

```ruby
client = SmartHR::Client.new(tenant_id: "XXX", access_token: "XXX")
# for Sandbox
client = SmartHR::Client.new(tenant_id: "XXX", access_token: "XXX", sandbox: true)
```

Then call instance methods.

e.g. find crew.

```
client.find_crew(id: '906494aa-11bf-4324-91ea-6a07aad172d0')
#=> #<Hashie::Mash id="906494aa-11bf-4324-91ea-6a07aad172d0">
```


## Contributing

1. Fork it
1. Create your feature branch (`git checkout -b my-new-feature`)
1. Commit your changes (`git commit -am 'Add some feature'`)
1. Push to the branch (`git push origin my-new-feature`)
1. Create new Pull Request


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
